Monitoring
List monitors
List the page monitors for the authenticated account.
GET
/
v1
/
api
/
monitors
List monitors
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "active",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastChangedAt": "2023-11-07T05:31:56Z",
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"destination": "<string>",
"enabled": true
}
]
}
]
}{
"error": "unauthorized",
"message": "<string>"
}Was this page helpful?
⌘I
List monitors
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "active",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastChangedAt": "2023-11-07T05:31:56Z",
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"destination": "<string>",
"enabled": true
}
]
}
]
}{
"error": "unauthorized",
"message": "<string>"
}